import java.util.*;
import java.awt.geom.Point2D;

/**
 * Comparator implementation which sorts edges based on the lengths of their
 * associated line segments
 */
public class EdgeLengthComperator implements Comparator<Edge> {

	HashMap<Vertex, Point2D> base;

	public EdgeLengthComperator(HashMap<Vertex, Point2D> base) {
		this.base = base;
	}

	// In this comparator we impose orderings that are inconsistent with equals.
	public int compare(Edge e1, Edge e2) {
		if (base.get(e1.getV1()).distance(base.get(e1.getV2())) > base.get(
				e2.getV1()).distance(base.get(e2.getV2())))
			return 1;
		else if (base.get(e1.getV1()).distance(base.get(e1.getV2())) == base.get(
				e2.getV1()).distance(base.get(e2.getV2())))
			return 0;
		else {
			return -1;
		} // returning 0 would merge keys
	}
}
