import java.util.ArrayList;


public class Vertex {
	
	/********************************************
	 * 											*
	 *           instance variables				*
	 * 											*
	 ********************************************/
	
	private String label;  // Vertex label
    private ArrayList<Edge> adjacentEdges;  // Adjacent vertices

//    private double x;  // x-coordinate
//    private double y;  // y-coordinate
    
    /********************************************
	 * 											*
	 *          getters and setters				*
	 * 											*
	 ********************************************/
    
    public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public ArrayList<Edge> getAdjacentEdges() {
		return adjacentEdges;
	}

	public void addAdjacentEdge(Edge edge) {
		// Should not allow the adjacent edges to have edges that do not contain this vertex as one of their end points
		if (edge.getV1() == this || edge.getV2() == this)
			this.adjacentEdges.add(edge);
	}

//	public double getX() {
//		return x;
//	}
//
//	public void setX(double x) {
//		this.x = x;
//	}
//
//	public double getY() {
//		return y;
//	}
//
//	public void setY(double y) {
//		this.y = y;
//	}
	
    
	/********************************************
	 * 											*
	 *              Constructors				*
	 * 											*
	 ********************************************/
		
	// First constructor without any argument calls the second constructor
    public Vertex(){
    	this("");
    }
	
	// Second constructor with label as an argument
    public Vertex(String label){
    	this.label= label;
    	adjacentEdges = new ArrayList<Edge>();
    }
    
    // Third constructor
//    public Vertex(double x, double y){
//    	this.setX(x);
//    	this.setY(y);
//    	adjacentEdges = new ArrayList<Edge>();
//    }

}
